libetonyek::IWORKNumericPropertyContext< Property, TokenId2 > Class Template Reference documentation

Public Member Functions | Private Types | List of all members
libetonyek::IWORKNumericPropertyContext< Property, TokenId2 > Class Template Reference

`#include <IWORKNumericPropertyContext.h>`

Inheritance diagram for libetonyek::IWORKNumericPropertyContext< Property, TokenId2 >:

## Public Member Functions
| IWORKNumericPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKPropertyContext< Property, IWORKNumberElement< IWORKPropertyInfo< Property >::ValueType >, IWORKToken::NS_URI_SF|IWORKToken::number, 0 >
| IWORKPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Types
typedef IWORKPropertyContext< Property, IWORKNumberElement< typename IWORKPropertyInfo< Property >::ValueType >, IWORKToken::NS_URI_SF|IWORKToken::number, TokenId2 > | Parent_t

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKPropertyContextBase
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKPropertyContextBase
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Member Typedef Documentation

## ◆ Parent_t

template<class Property , int TokenId2 = 0>

typedef IWORKPropertyContext<Property, IWORKNumberElement<typename IWORKPropertyInfo<Property>::ValueType>, IWORKToken::NS_URI_SF | IWORKToken::number, TokenId2> libetonyek::IWORKNumericPropertyContext< Property, TokenId2 >::Parent_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKNumericPropertyContext()

template<class Property , int TokenId2>

libetonyek::IWORKNumericPropertyContext< Property, TokenId2 >::IWORKNumericPropertyContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap
| ) |  |

The documentation for this class was generated from the following file:

- IWORKNumericPropertyContext.h